Beta

Set a Workspace field value

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
PUT
/v1/workspace-fields/{field_id}/values/{business_id}

Set or clear (null) a Business's value for a Workspace field; it shows in every List. A choice is an option id, a person a member's user ID.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

business_id*string
Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
field_id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json
  1. body
value*|null

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
curl -X PUT 'https://example.com/v1/workspace-fields/string/values/string' \  -H 'Idempotency-Key: stringst' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "value": {    "value_type": "text",    "value": "string"  }}'
{  "data": {    "field_id": "string",    "business_id": "string",    "value": {      "value_type": "text",      "value": "string"    }  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "set_workspace_field_value",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}